Get user trades
curl --request GET \
--url https://api-v2.polyrouter.io/profile/trades \
--header 'X-API-Key: <api-key>'import requests
url = "https://api-v2.polyrouter.io/profile/trades"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-v2.polyrouter.io/profile/trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-v2.polyrouter.io/profile/trades"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"trades": [
{
"platform": "kalshi",
"trade_id": "trade_abc123",
"user_id": "trader123",
"market_id": "market_xyz",
"ticker": "ELECTION-2024",
"title": "Will X win the election?",
"side": "buy",
"outcome": "yes",
"price": 0.65,
"size": 100,
"timestamp": "2024-11-01T12:30:00Z",
"metadata": {},
"transaction_hash": "0x123..."
}
],
"pagination": {
"total": 100,
"limit": 50,
"has_more": true,
"next_cursor": "eyJvZmZzZXQiOjUwfQ"
},
"meta": {
"request_time": 150,
"platform": "kalshi",
"data_freshness": "2024-11-01T12:30:00Z"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"timestamp": "2025-01-01T00:00:00.000Z"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"timestamp": "2025-01-01T00:00:00.000Z"
}
}Profiles
Get user trades
Fetch trade history for a user from Kalshi or Polymarket
GET
/
profile
/
trades
Get user trades
curl --request GET \
--url https://api-v2.polyrouter.io/profile/trades \
--header 'X-API-Key: <api-key>'import requests
url = "https://api-v2.polyrouter.io/profile/trades"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-v2.polyrouter.io/profile/trades', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-v2.polyrouter.io/profile/trades"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"trades": [
{
"platform": "kalshi",
"trade_id": "trade_abc123",
"user_id": "trader123",
"market_id": "market_xyz",
"ticker": "ELECTION-2024",
"title": "Will X win the election?",
"side": "buy",
"outcome": "yes",
"price": 0.65,
"size": 100,
"timestamp": "2024-11-01T12:30:00Z",
"metadata": {},
"transaction_hash": "0x123..."
}
],
"pagination": {
"total": 100,
"limit": 50,
"has_more": true,
"next_cursor": "eyJvZmZzZXQiOjUwfQ"
},
"meta": {
"request_time": 150,
"platform": "kalshi",
"data_freshness": "2024-11-01T12:30:00Z"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"timestamp": "2025-01-01T00:00:00.000Z"
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"timestamp": "2025-01-01T00:00:00.000Z"
}
}Authorizations
API key for authentication
Query Parameters
Platform to query (kalshi or polymarket)
Available options:
kalshi, polymarket User identifier (nickname for Kalshi, wallet address for Polymarket)
Required string length:
1 - 100Example:
"trader123"
Number of trades to return (max 100)
Example:
"50"
Pagination cursor

